local Pastry = ...
-- Register model for stocking asset

Pastry:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_HEN_BREEDER"
    }
})

Pastry:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_HEN_BREEDER"
    }
})

-- Register Hen Breeder job
Pastry:register({
	DataType = "JOB",
	Id = "PV3_HEN_BREEDER",
	JobName = "PV3_HEN_BREEDER_NAME",
	JobDescription = "PV3_HEN_BREEDER_DESC",
        CharacterSetup = {
            LeftHandObject = {
                Model = "PREFAB_TOOL_FARMER_SEED_BAG",
                WorkAttachName = "SeedBag_Anchor",
                WalkAttachName = "SeedBag_Anchor"
            },
            WorkAnimation = "SEED"
        },
--        WorkstationSetup = "AGENT_PV3_HEN_BREEDER",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

Pastry:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_DAIRY_MAID"
    }
})

Pastry:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "PV3_DAIRY_MAID"
    }
})

-- Register Dairy Maid job
Pastry:register({
	DataType = "JOB",
	Id = "PV3_DAIRY_MAID",
	JobName = "PV3_DAIRY_MAID_NAME",
	JobDescription = "PV3_DAIRY_MAID_DESC",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
